#ifndef OBJECT_H
#define OBJECT_H
#include <QObject>
#include <QtWidgets>
class MyObject : public QObject {
Q_OBJECT
 //Класс д.б. наследником QObject, чтобы использовать сигналы и слоты
public:
 explicit MyObject(QObject * parent = 0);
signals:
 void send_to_gui(bool value); //Сигнал, отправляемый объектом в GUI
public slots:
 void get_from_gui(bool value); //Слот для приёма сигналов от GUI
 void gets_from_gui(QString value);
  //Ещё один слот для приёма информации о том, что изменилось текстового поля
//При этом объект не знает о виджете,
//он просто предоставляет слот для получения внешней информации
private:
 bool state; //Собственно данные класса
};
#endif // OBJECT_H
