#include "widget.h"
#include "ui_widget.h"

Widget::Widget(QWidget *parent) : QWidget(parent), ui(new Ui::Widget) {
 ui->setupUi(this);
 connect (&Object,&MyObject::send_to_gui,this,&Widget::get_from_object);
 connect (this,&Widget::send_to_object,&Object,&MyObject::get_from_gui);
 connect(ui->lineEdit,&QLineEdit::textChanged,&Object,&MyObject::gets_from_gui);
}

Widget::~Widget(){    delete ui; }

void Widget::get_from_object(bool value) { //Слот 1 виджета
 ui->lineEdit->setText(value?"true":"false");
}

void Widget::on_checkBox_clicked() { //Слот 2 виджета
 emit send_to_object(ui->checkBox->isChecked());
}

