#ifndef WIDGET_H
#define WIDGET_H
#include <QWidget>
#include "object.h"

namespace Ui {class Widget;}

class Widget : public QWidget {
 Q_OBJECT
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
signals:
    void send_to_object(bool value); //Сигнал для отправки из GUI в объект
private slots:
    void get_from_object(bool value);
    void on_checkBox_clicked();
private:
    Ui::Widget *ui;
    MyObject Object; //Экземпляр объекта
};
#endif // WIDGET_H
